| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions
Tp::Client::CallContentInterface Class Reference

`#include <TelepathyQt/CallContent>`

Inherits Tp::AbstractInterface.

List of all members.

## Public Slots

- QDBusPendingReply Remove (int timeout=-1)

## Signals

- void StreamsAdded (const Tp::ObjectPathList &streams)
- void StreamsRemoved (const Tp::ObjectPathList &streams, const Tp::CallStateReason &reason)

## Public Member Functions

- CallContentInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
- CallContentInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
- CallContentInterface (Tp::DBusProxy *proxy)
- Tp::PendingVariant * requestPropertyInterfaces () const
- Tp::PendingVariant * requestPropertyName () const
- Tp::PendingVariant * requestPropertyType () const
- Tp::PendingVariant * requestPropertyDisposition () const
- Tp::PendingVariant * requestPropertyStreams () const
- Tp::PendingVariantMap * requestAllProperties () const

## Static Public Member Functions

- static QLatin1String staticInterfaceName ()

## Protected Member Functions

- virtual void invalidate (Tp::DBusProxy *, const QString &, const QString &)

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Call1.Content".

## Constructor & Destructor Documentation

Tp::Client::CallContentInterface::CallContentInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a CallContentInterface associated with the given object on the session bus.

Parameters:

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::CallContentInterface::CallContentInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a CallContentInterface associated with the given object on the given bus.

Parameters:

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::CallContentInterface::CallContentInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a CallContentInterface associated with the same object as the given proxy.

Parameters:

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

## Member Function Documentation

static QLatin1String Tp::Client::CallContentInterface::staticInterfaceName | ( |  | ) | `[inline, static]`

Returns the name of the interface "org.freedesktop.Telepathy.Call1.Content", which this class represents.

Returns:
  The D-Bus interface name.

Tp::PendingVariant* Tp::Client::CallContentInterface::requestPropertyInterfaces | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `Interfaces` of type `QStringList`.

Extra interfaces provided by this content, such as CallContentInterfaceMediaInterface , ChannelInterfaceHoldInterface or org.freedesktop.Telepathy.Call1.Interface.Mute . This SHOULD NOT include the Content interface itself, and cannot change once the content has been created.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::CallContentInterface::requestPropertyName | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `Name` of type `QString`.

The name of the content.

The content name property should be meaningful, so should be given a name which is significant to the user. The name could be the "audio" or "video" string localized, or perhaps include some string identifying the source, such as a webcam identifier.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::CallContentInterface::requestPropertyType | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `Type` of type `uint`.

The media type of this content.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::CallContentInterface::requestPropertyDisposition | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `Disposition` of type `uint`.

The disposition of this content.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::CallContentInterface::requestPropertyStreams | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `Streams` of type `Tp::ObjectPathList`.

The list of CallStreamInterface objects that exist in this content.

In a conference call multiple parties can share one media content (say, audio), but the streaming of that media can either be shared or separate. For example, in a multicast conference all contacts would share one stream, while in a Muji conference there would be a stream for each participant.

Change notification is through the StreamsAdded() and StreamsRemoved() signals.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariantMap* Tp::Client::CallContentInterface::requestAllProperties | ( |  | ) | const`[inline]`

Request all of the DBus properties on the interface.

Returns:
  A pending variant map which will emit finished when the properties have been retrieved.

QDBusPendingReply Tp::Client::CallContentInterface::Remove | ( | int | timeout = `-1` | ) | `[inline, slot]`

Begins a call to the D-Bus method `Remove` on the remote object.

Remove the content from the call. This will cause Call1.ContentRemoved((self_handle, User_Requested, "", "")) to be emitted.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters:

  timeout | The timeout in milliseconds.

void Tp::Client::CallContentInterface::StreamsAdded | ( | const Tp::ObjectPathList & | streams | ) | `[signal]`

Represents the signal `StreamsAdded` on the remote object.

Emitted when streams are added to a call.

Parameters:

  streams | The Streams which were added.

void Tp::Client::CallContentInterface::StreamsRemoved | ( | const Tp::ObjectPathList & | streams,
|  | const Tp::CallStateReason & | reason
| ) |  | `[signal]`

Represents the signal `StreamsRemoved` on the remote object.

Emitted when streams are removed from a call

Parameters:

  streams | The Streams which were removed.
  reason | Why the content was removed.

void Tp::Client::CallContentInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  | `[protected, virtual]`

Reimplemented from Tp::AbstractInterface.